.service-row {
    display: flex;
    flex-wrap: wrap;
}

.service-column {
    width: 100%;
    padding: 0 1em 1em 1em;
    text-align: center;
}

.service-card {
    width: 100%;
    height: 100%;
    padding: 2em 1.5em;
    background: linear-gradient(#ffffff 50%, #2c7bfe 50%);
    background-size: 100% 200%;
    background-position: 0 2.5%;
    border-radius: 5px;
    box-shadow: 0 0 35px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    transition: 0.5s;
}

.service-icon {
    background-color: #2c7bfe;
    position: relative;
    margin: auto;
    font-size: 30px;
    height: 2.5em;
    width: 2.5em;
    color: #ffffff;
    border-radius: 50%;
    display: grid;
    place-items: center;
    transition: 0.5s;
}

.service-card:hover {
    background-position: 0 100%;
}

.service-card:hover .service-icon {
    background-color: #ffffff;
    color: #2c7bfe;
}

.service-card:hover h3 {
    color: #ffffff;
}

.service-card:hover p {
    color: #f0f0f0;
}

/* Desktop Style */
@media screen and (min-width: 992px) {
    .service-column {
        flex: 0 0 50%;
        max-width: 50%;
        padding: 0 1em 1em 1em;
        text-align: center;
    }
}

/* Laptop & Tablet or Smartphone Style */
@media (max-width: 1023px), (max-width: 767px) {
    .service-column {
        flex: 1 100%;
        max-width: 100%;
    }
}